Bug 920849

Summary: Review Request: gnome-nibbles - GNOME Nibbles game
Product: [Fedora] Fedora Reporter: Tanner Doshier <doshitan>
Component: Package ReviewAssignee: Kalev Lember <kalevlember>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: kalevlember, notting, package-review
Target Milestone: ---Flags: kalevlember: fedora‑review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-06 17:00:28 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tanner Doshier 2013-03-12 17:46:55 EDT
Spec URL: http://doshitan.com/tmp/gnome-nibbles/gnome-nibbles.spec
SRPM URL: http://doshitan.com/tmp/gnome-nibbles/gnome-nibbles-3.7.4-1.fc19.src.rpm
Description: This is the GNOME Nibbles game

rpmlint:
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.4.1.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.4.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.3.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.1.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.1.1.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.3.1.scores
gnome-nibbles.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-nibbles-3.7.4/COPYING
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.2.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.2.1.scores
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/preferences.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/gnibbles.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/scoreboard.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/scoreboard.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/gnibbles.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/warpmanager.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/warp.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-scores-dialog.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-pause-action.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-pause-action.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-scores-dialog.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/worm.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/worm.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/sound.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/boni.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/sound.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/boni.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/main.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-scores.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/main.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/warpmanager.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-scores.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-stock.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/bonus.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/warp.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-stock.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/bonus.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/properties.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/board.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-fullscreen-action.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/board.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/properties.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.7.4/src/games-fullscreen-action.c
3 packages and 0 specfiles checked; 42 errors, 0 warnings.
Comment 1 Tanner Doshier 2013-04-02 18:42:33 EDT
3.8.0-1
- Update to 3.8.0
- Add high contrast icons
- Use old desktop file name
- Use setgid games

Spec URL: http://doshitan.com/tmp/gnome-nibbles/gnome-nibbles.spec
SRPM URL: http://doshitan.com/tmp/gnome-nibbles/gnome-nibbles-3.8.0-1.fc19.src.rpm
Comment 2 Kalev Lember 2013-05-06 15:06:45 EDT
$ rpmlint gnome-nibbles \
          gnome-nibbles-debuginfo-3.8.0-1.fc20.x86_64.rpm \
          gnome-nibbles-3.8.0-1.fc20.src.rpm
gnome-nibbles.x86_64: W: obsolete-not-provided gnome-games-gnibbles
gnome-nibbles.x86_64: W: binaryinfo-readelf-failed /usr/bin/gnome-nibbles readelf: Error: Input file '/usr/bin/gnome-nibbles' is not readable.
gnome-nibbles.x86_64: W: binaryinfo-tail-failed /usr/bin/gnome-nibbles: [Errno 13] Permission denied: '/usr/bin/gnome-nibbles'
gnome-nibbles.x86_64: W: ldd-failed /usr/bin/gnome-nibbles
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.4.1.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.4.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.3.0.scores
gnome-nibbles.x86_64: E: setgid-binary /usr/bin/gnome-nibbles games 02551L
gnome-nibbles.x86_64: E: non-standard-executable-perm /usr/bin/gnome-nibbles 02551L
gnome-nibbles.x86_64: E: non-standard-executable-perm /usr/bin/gnome-nibbles 02551L
gnome-nibbles.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-nibbles-3.8.0/COPYING
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.1.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.1.1.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.3.1.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.2.0.scores
gnome-nibbles.x86_64: E: zero-length /var/games/gnome-nibbles.2.1.scores
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/properties.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/worm.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/worm.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/warpmanager.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/main.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/boni.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/sound.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/main.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/warpmanager.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/sound.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/boni.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/warp.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-scores-dialog.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-stock.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-scores.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/board.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-stock.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-scores-dialog.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/board.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-pause-action.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/properties.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-fullscreen-action.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/scoreboard.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-fullscreen-action.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/gnibbles.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/bonus.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/gnibbles.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-pause-action.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/preferences.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/bonus.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/scoreboard.c
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/warp.h
gnome-nibbles-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gnome-nibbles-3.8.0/src/games-scores.h
3 packages and 0 specfiles checked; 45 errors, 4 warnings.
Comment 3 Kalev Lember 2013-05-06 15:13:38 EDT
Fedora review gnome-nibbles-3.8.0-1.fc19.src.rpm 2013-05-06

+ OK
! needs attention

+ Rpmlint is very noisy here, but most of the warnings / errors seem harmless.
  The unreadable /usr/bin/gnome-nibbles is a bit weird, but it's the same as in
  the old gnome-games and I suppose it didn't have the r bit for a reason.
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  13505fba0d8e6cbbf9d8508e4219cb46  gnome-nibbles-3.8.0.tar.xz
  13505fba0d8e6cbbf9d8508e4219cb46  Download/gnome-nibbles-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

Looks good!

APPROVED
Comment 4 Tanner Doshier 2013-05-06 15:25:48 EDT
New Package SCM Request
=======================
Package Name: gnome-nibbles
Short Description: Guide a worm around a maze
Owners: doshitan
Branches: f19
InitialCC:
Comment 5 Jon Ciesla 2013-05-06 16:10:43 EDT
Git done (by process-git-requests).
Comment 6 Tanner Doshier 2013-05-06 17:00:28 EDT
Imported and built in rawhide and f19.
Comment 7 Jon Ciesla 2013-05-07 09:10:19 EDT
Clearing flag.